Skip to content

Retrieve Binder Template Node Attributes

Retrieve the attributes of each node (folder/section) of a specific binder template in your Vault.

GET/api/{version}/objects/binders/templates/{template_name}/bindernodes
NameDescription
Acceptapplication/json (default) or application/xml
NameDescription
{template_name}The binder template name__v field value.
curl -X GET -H "Authorization: {SESSION_ID}" \ https://myvault.veevavault.com/api/v26.1/objects/binders/templates/study_site_level_file_tmf_rm_20__c/bindernodes
{ "responseStatus": "SUCCESS", "data": [ { "id": "5148", "parent_id__v": "studySiteLevelFileTMFRM20", "order__v": "0", "node_type__v": "section", "label__v": "Trial Management", "number__v": "01" }, { "id": "9647", "parent_id__v": "studySiteLevelFileTMFRM20", "order__v": "100", "node_type__v": "section", "label__v": "Central Trial Documents", "number__v": "02" }, { "id": "0908", "parent_id__v": "studySiteLevelFileTMFRM20", "order__v": "200", "node_type__v": "section", "label__v": "Site Management", "number__v": "03" }, { "id": "6671", "parent_id__v": "5148", "order__v": "0", "node_type__v": "section", "label__v": "Trial Oversight", "number__v": "01.01" }, { "id": "4509", "parent_id__v": "5148", "order__v": "100", "node_type__v": "section", "label__v": "General", "number__v": "01.02" }, { "id": "3623", "parent_id__v": "6671", "order__v": "0", "node_type__v": "section", "label__v": "Operational Procedure", "number__v": "01.01.01", "hierarchy_mapping__v": "00H00484" }, { "id": "5575", "parent_id__v": "6671", "order__v": "100", "node_type__v": "section", "label__v": "Recruitment Plan", "number__v": "01.01.02", "hierarchy_mapping__v": "00H00488" }, { "id": "StudyBSiteBOperationalProcedur", "parent_id__v": "3623", "order__v": "0", "node_type__v": "planned_document", "label__v": "${study_b} - ${site_b} Operational Procedure", "lifecycle__v": "etmf_lifecycle__c", "type__v": "trial_management__c", "subtype__v": "trial_oversight__c", "classification__v": "operational_procedure_manual__c" }, { "id": "StudyBSiteBRecruitmentPlan", "parent_id__v": "5575", "order__v": "0", "node_type__v": "planned_document", "label__v": "${study_b} - ${site_b} Recruitment Plan", "lifecycle__v": "etmf_lifecycle__c", "type__v": "trial_management__c", "subtype__v": "trial_oversight__c", "classification__v": "recruitment_plan__c" }, { "id": "9454", "parent_id__v": "4509", "order__v": "0", "node_type__v": "section", "label__v": "Tracking Information", "number__v": "01.02.01", "hierarchy_mapping__v": "00H00511" }, { "id": "5014", "parent_id__v": "4509", "order__v": "100", "node_type__v": "section", "label__v": "Filenote", "number__v": "01.02.02", "hierarchy_mapping__v": "00H00515" }, { "id": "StudyBSiteBOperationalProcedu1", "parent_id__v": "9454", "order__v": "0", "node_type__v": "planned_document", "label__v": "${study_b} - ${site_b} Tracking Information", "lifecycle__v": "etmf_lifecycle__c", "type__v": "trial_management__c", "subtype__v": "general__c", "classification__v": "tracking_information__c" }, { "id": "StudyBSiteBFileNote", "parent_id__v": "5014", "order__v": "0", "node_type__v": "planned_document", "label__v": "${study_b} - ${site_b} File Note", "lifecycle__v": "etmf_lifecycle__c", "type__v": "trial_management__c", "subtype__v": "general__c", "classification__v": "filenote__c" }, { "id": "2443", "parent_id__v": "9647", "order__v": "0", "node_type__v": "section", "label__v": "Trial Documents", "number__v": "02.01" }, { "id": "0413", "parent_id__v": "9647", "order__v": "100", "node_type__v": "section", "label__v": "Subject Information Sheet", "number__v": "02.02" }, { "id": "5118", "parent_id__v": "2443", "order__v": "0", "node_type__v": "section", "label__v": "Protocol", "number__v": "02.01.01", "hierarchy_mapping__v": "00H00536" }, { "id": "StudyBSiteBTrialProtocol", "parent_id__v": "5118", "order__v": "0", "node_type__v": "planned_document", "label__v": "${study_b} - ${site_b} Trial Protocol", "lifecycle__v": "etmf_lifecycle__c", "type__v": "central_trial_documents__c", "subtype__v": "trial_documents__c", "classification__v": "protocol__c" }, { "id": "StudyBSiteBSubjectInformationS", "parent_id__v": "0413", "order__v": "0", "node_type__v": "planned_document", "label__v": "${study_b} - ${site_b} Subject Information Sheet", "lifecycle__v": "etmf_lifecycle__c", "type__v": "central_trial_documents__c", "subtype__v": "subject_documents__c", "classification__v": "subject_information_sheet__c" }, { "id": "9135", "parent_id__v": "0908", "order__v": "0", "node_type__v": "section", "label__v": "Site Selection", "number__v": "03.01" }, { "id": "StudyBSiteBConfidentialityAgre", "parent_id__v": "9135", "order__v": "0", "node_type__v": "planned_document", "label__v": "${study_b} - ${site_b} Confidentiality Agreement", "lifecycle__v": "etmf_lifecycle__c", "type__v": "site_management__c", "subtype__v": "site_selection__c", "classification__v": "confidentiality_agreement__c" }, { "id": "StudyBSiteBSiteContacts", "parent_id__v": "9135", "order__v": "100", "node_type__v": "planned_document", "label__v": "${study_b} - ${site_b} Site Contacts", "lifecycle__v": "etmf_lifecycle__c", "type__v": "site_management__c", "subtype__v": "site_selection__c", "classification__v": "site_contact_details__c" } ] }

The response lists all attributes configured on each node of a specific binder template in the Vault. The binder template shown above has six nodes.

Field NameDescription
idThe binder node (section or planned document) IDs.
parent_id__vThe node ID of a section or planned document's parent node. The top-level node is the rootNode.
node_type__vBinder node types include section and planned_document (content placeholder documents within the binder template).
label__vLabel of the binder section or planned document.
type__vVault document type to which planned documents are associated.
subtype__vVault document subtype to which planned documents are associated. This field is only displayed if the planned document exists at the document subtype or classification level.
classification__vVault document classification to which planned documents are associated. This field is only displayed if the planned document exists at the document classification level.
lifecycle__vName of the binder lifecycle to which planned documents are associated.
number__vThese apply to binder section node types and are a numerical representation of the section's hierarchy within the binder template. Example: Given two folders in a binder (under the root node), each containing three subfolders, the first and second folder numbers would be 01 and 02, respectively. The three subfolder numbers within the first and second folders would then be 01.01, 01.02, 01.03 and 02.01, 02.02, 02.03, respectively.
order__vOrder of the node within the binder or within the parent node. Negative order values appear first. For example, an order value of -100 appears before an order value of 0.
hierarchy_mapping__veTMF Vaults only. Object ID pointing to the lowest level in the TMF reference model.